LF5LogTarget (LogKit API)
Keywords: org.apache.log.output.lf5.LF5LogTarget,LF5LogTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.lf5
Class LF5LogTarget

    java.lang.Object
      |
      +--org.apache.log.output.lf5.LF5LogTarget

All Implemented Interfaces:
  LogTarget

public class LF5LogTarget
extends Object
implements LogTarget

A `LogTarget` that displays log events using the LogFactor5 Swing GUI.

Version:
  CVS $Revision: 1.5 $ $Date: 2003/02/09 23:33:24 $
Author:
  Sylvain Wallez

Constructor Summary
`LF5LogTarget()` Create `LogFactorLogTarget` on the default `LogBrokerMonitor`.
`LF5LogTarget(org.apache.log4j.lf5.viewer.LogBrokerMonitor monitor)` Create a `LogFactorLogTarget` on a given `LogBrokerMonitor`.

Method Summary
`static org.apache.log4j.lf5.viewer.LogBrokerMonitor` | `getDefaultMonitor()` Get the default `LogBrokerMonitor` instance.
`void` | `processEvent(LogEvent event)` Process a log event.
`void` | `setNDCFormatter(Formatter formatter)` Sets the `Formatter` that will be used to produce the "NDC" (nested diagnostic context) text on the GUI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LF5LogTarget

    public LF5LogTarget(org.apache.log4j.lf5.viewer.LogBrokerMonitor monitor)

  Create a `LogFactorLogTarget` on a given `LogBrokerMonitor`.

Parameters:
  `monitor` - the monitor

### LF5LogTarget

    public LF5LogTarget()

  Create `LogFactorLogTarget` on the default `LogBrokerMonitor`.

Method Detail

### setNDCFormatter

    public void setNDCFormatter(Formatter formatter)

  Sets the `Formatter` that will be used to produce the "NDC" (nested diagnostic context) text on the GUI.

  Parameters:
    `formatter` - the message formatter

### getDefaultMonitor

    public static org.apache.log4j.lf5.viewer.LogBrokerMonitor getDefaultMonitor()

  Get the default `LogBrokerMonitor` instance.

  Returns:
    the monitor

### processEvent

    public void processEvent(LogEvent event)

  Process a log event.

  Specified by:
    `processEvent` in interface `LogTarget`
  Parameters:
    `event` - the log event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.